QGIS Application - Bug report #16758
regression: adding a multi-part feature to a shapefile dataset fails
2017-06-27 04:25 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee: Mathieu Pellerin - nIRV

Category: Data Provider/OGR

Affected QGIS version:2.18.10 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 24657
Description

Under QGIS master, adding (or pasting) a multi-part feature into a shapefile dataset fails. The feature is added, but the dataset can't be
saved.
Steps to reproduce

1. Create a new shapefile, add it to an empty QGIS project

2. Switch the edit mode to on, and add a multi-part feature

3. Try to save the dataset, you'll be thrown the following error: "could not commit change to your layer {name}"

This proposed PR, https://github.com/qgis/QGIS/pull/4782, fixes the above-mentioned regression.

Related issues:

Related to QGIS Application - Bug report # 16784: Creation of MultiPolygon sh... Closed 2017-07-03
Related to QGIS Application - Bug report # 16792: Fails to handle multipart f... Closed 2017-07-05
Related to QGIS Application - Bug report # 16770: copy/paste/save features f... Closed 2017-06-30
Related to QGIS Application - Bug report # 12488: Impossible to merge feature... Closed 2015-04-01
Related to QGIS Application - Bug report # 10672: regression: impossible to p... Closed 2014-06-23
Related to QGIS Application - Bug report # 10747: Cannot copy/paste points fe... Closed 2014-06-28

Associated revisions

Revision d19ed1c6 - 2017-07-05 06:50 PM - Jiirgen Fischer

Only convert geometries to provider type when provider does strict type checking (ie. not for shapes; fixes #16593, #16784, #16792, #16770, followup
53d90b547)

Revision ecae3c95 - 2017-07-05 07:08 PM - Jiirgen Fischer
Only convert geometries to provider type when provider does strict type checking

(ie. not for shapes; fixes #16593, #16784, #16792, #16770;
followup 87116abd72; forward ported from d19ed1c6)

History

#1 - 2017-07-05 01:46 PM - Giovanni Manghi
- Affected QGIS version changed from master to 2.18.10

This affects also 2.18.10
see #16784 and #16792
#2 - 2017-07-05 01:58 PM - Giovanni Manghi

likely to have caused also #16770

#3 - 2017-07-05 06:22 PM - Jiirgen Fischer
- Related to Bug report #16784: Creation of MultiPolygon shapefile with QgsVectorFileWriter added

#4 - 2017-07-05 06:23 PM - Jiirgen Fischer
- Related to Bug report #16792: Fails to handle multipart features as shapefile geometry type after merging added

#5 - 2017-07-05 06:23 PM - Jiirgen Fischer
- Related to Bug report #16770: copy/paste/save features from one layer to another of the same time broke in 2.18 added

#6 - 2017-07-05 06:47 PM - Juirgen Fischer
- Related to Bug report #12488: Impossible to merge features in a point shapefile added

#7 - 2017-07-05 06:47 PM - Jiirgen Fischer
- Related to Bug report #10672: regression: impossible to paste polygon into newly created shapefile added

#8 - 2017-07-05 06:47 PM - Jiirgen Fischer
- Related to Bug report #10747: Cannot copy/paste points features added

#9 - 2017-07-15 01:00 AM - Giovanni Manghi

- Resolution set to fixed/implemented
- Status changed from Open to Closed

closing this because PR has been merged and there was also a backport for 2.18. | anyway still see this problem at least with one specific point dataset
and on Windows/master. See #16870-8
